#
# Conditional build:
%bcond_with	tests	# perform "make test" (uses serial port)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Device
%define		pnam	Modem
Summary:	Device::Modem - a Perl class to interface generic modems (AT-compliant)
Summary(pl.UTF-8):	Device::Modem - perlowy interfejs do obsługi modemów szeregowych
Name:		perl-Device-Modem
Version:	1.56
Release:	2
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Device/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a0ec45c3e313bea27ccb476d3b725955
URL:		http://search.cpan.org/dist/Device-Modem/
BuildRequires:	perl-Device-SerialPort
BuildRequires:	rpm-perlprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Perl extension to talk to AT compliant devices via serial
port.

%description -l pl.UTF-8
Jest to rozszerzenie Perla do obsługi urządzeń zgodnych z AT poprzez
port szeregowy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%{perl_vendorlib}/Device/*.pm
%dir %{perl_vendorlib}/Device/Modem
%{perl_vendorlib}/Device/Modem/*.pm
%dir %{perl_vendorlib}/Device/Modem/Log
%{perl_vendorlib}/Device/Modem/Log/*.pm
%dir %{perl_vendorlib}/Device/Modem/Protocol
%{perl_vendorlib}/Device/Modem/Protocol/*.pm
%{_mandir}/man3/*
%changelog
* Fri Feb 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Device-Modem.git;a=log;h=auto/th/perl-Device-Modem-1.56-2

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 942c917
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> fdf36db
- up to 1.56

* Thu Sep 10 2009 amateja <amateja@pld-linux.org> 920b875
- updated to 1.51

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 9fdb7c2
- updated to 1.50

* Mon Jul 16 2007 Maciej Pijanka <agaran@pld-linux.org> 68243c6
- up to 1.48, builds here

* Sun May 27 2007 Jakub Bogusz <qboosh@pld-linux.org> 6567e48
- generic URL
- BR: rpm-perlprov

* Sun May 27 2007 Maciej Pijanka <agaran@pld-linux.org> 0982e9f
- up to 1.47, rel 1, builds here

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 457d7c6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ae35ddc
- converted to UTF-8

* Thu Nov 11 2004 paladine <paladine@pld-linux.org> 5074934
- updated to 1.43

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8760213
- spaces->tabs
- formatting

* Mon Oct 25 2004 Jakub Bogusz <qboosh@pld-linux.org> 6389ae1
- pl fixes, missing dirs

* Sun Oct 24 2004 kolodko <kolodko@pld-linux.org> f69a2b4
- adapter

* Sun Oct 24 2004 blaass <blaass@pld-linux.org> 7d446eb
- new

